POST Agents/CRMScript/SaveTriggerScriptEntity
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/CRMScript/SaveTriggerScriptEntity
Updates the existing TriggerScriptEntity or creates a new TriggerScriptEntity if the id parameter is 0.
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The CRMScript agent is not available in Online by default. Access must be requested specifically when app is registered.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: triggerScriptEntity
The TriggerScriptEntity that is saved
| Property Name | Type | Description |
|---|---|---|
| ScreenChooserId | Integer | Primary key |
| Name | String | Optional description of what this script is used for. |
| ScreenType | String | Event id that triggers script. See EventHandlerType enum. |
| Enabled | Boolean | Whether this screen chooser is enabled or not |
| UniqueIdentifier | String | Global unique identifier, accross customers/tenants |
| Source | String | The CRMscript code for this event handler |
| Registered | String | Registered when in UTC. |
| RegisteredAssociateId | Integer | Registered by whom |
| Updated | String | Last updated when in UTC. |
| UpdatedAssociateId | Integer | Last updated by whom |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: TriggerScriptEntity
| Property Name | Type | Description |
|---|---|---|
| ScreenChooserId | int32 | Primary key |
| Name | string | Optional description of what this script is used for. |
| ScreenType | string | Event id that triggers script. See EventHandlerType enum. |
| Enabled | bool | Whether this screen chooser is enabled or not |
| UniqueIdentifier | string | Global unique identifier, accross customers/tenants |
| Source | string | The CRMscript code for this event handler |
| Registered | date-time | Registered when in UTC. |
| RegisteredAssociateId | int32 | Registered by whom |
| Updated | date-time | Last updated when in UTC. |
| UpdatedAssociateId | int32 | Last updated by whom |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/CRMScript/SaveTriggerScriptEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
{
"ScreenChooserId": 203,
"Name": "Hartmann Inc and Sons",
"ScreenType": "ChatAfterSaveNewMessage",
"Enabled": false,
"UniqueIdentifier": "temporibus",
"Source": "dolores",
"Registered": "1999-04-05T10:10:59.568252+02:00",
"RegisteredAssociateId": 70,
"Updated": "2009-10-04T10:10:59.568252+02:00",
"UpdatedAssociateId": 726
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ScreenChooserId": 87,
"Name": "Contact Update Notification",
"ScreenType": "ChatAfterSaveNewMessage",
"Enabled": true,
"UniqueIdentifier": "contact-update-notify",
"Source": "#setLanguageLevel 3;\nContact contact = getActiveContact();\nString changes = getContactChanges(contact);\nnotifyAssignedUsers(contact, changes);",
"Registered": "2024-06-12T09:00:00+02:00",
"RegisteredAssociateId": 105,
"Updated": "2024-11-26T15:45:00+01:00",
"UpdatedAssociateId": 108,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 688
}
}
}